<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<title>
			Pallettizzatore Manuale
		</title>
		<link rel="stylesheet" type="text/css" href="styles/Style_Pallettizzatore_Manuale.css">
	</head>

	<body>

		<!-- Titolo della pagina -->

		<div class="Titolo_Pagina">
			Pallettizzatore Manuale
		</div>

		<!-- Faccio la suddivisione in 3 sezioni che corrispondono agli assi usando le tabelle -->

			<table class="Assi">
				<tbody>

					<!-- Inserico il nome degli assi -->

					<tr class="TitoliAssi">
						<td class="TitoloAsseX">
							AsseX
						</td>
						<td class="TitoloAsseY">
							AsseY
						</td>
						<td class="TitoloAsseZ">
							AsseZ
						</td>
					</tr>

					<!-- Tramite il javascript leggo le variabili delle posizioni degli assi -->

					<tr class="Posizioni_Assi">
						<td class="PosizioneAsseX">
							<span class="js-show-data" id="PosX"></span>
						</td>
						<td class="PosizioneAsseY">
							<span class="js-show-data" id="PosY"></span>
						</td>
						<td class="PosizioneAsseZ">
							<span class="js-show-data" id="PosZ"></span>
						</td>
					</tr>

					<!-- Tramite una variabile del plc faccio diventare verde un cerchio se gli assi sono in movimento -->

					<tr class="Movimento_Assi">
						<td class="MovimentoAsseX">
							<svg class="Cerchio_AsseX">
          						<circle id="Segnalatore_Movimento" cx="20" cy="20" r="20" stroke="black" stroke-width="1" fill="gray" />
							</svg>
							  <span class="MovimentoX">
							  Movimento
							</span>
							<br>
							<span class="MovAsseX">
							  Asse
							</span>
					  </td>
						<td class="MovimentoAsseY">
							<svg class="Cerchio_AsseY">
          						<circle id="Segnalatore_Movimento2" cx="20" cy="20" r="20" stroke="black" stroke-width="1" fill="gray" />
							</svg>
							  <span class="MovimentoY">
							  Movimento
							</span>
							<br>
							<span class="MovAsseY">
							  Asse
							</span>
						</td>
						<td class="MovimentoAsseZ">
							<svg class="Cerchio_AsseZ">
          						<circle id="Segnalatore_Movimento3" cx="20" cy="20" r="20" stroke="black" stroke-width="1" fill="gray" />
							</svg>
							  <span class="MovimentoZ">
							  Movimento
							</span>
							<br>
							<span class="MovAsseZ">
							  Asse
							</span>
						</td>
					</tr>

					<!-- Inserisco i bottoni che permettono di abilitare gli assi del pallettizzatore da remoto -->

					<tr class="Abilitatori_Assi">
						<td>
							<button class="js-input" data-input='"MerkerEnableX"' id="Abilitatore_AsseX" value="true">
								<p class="Testo">
									Accensione AsseX
								</p>
							</button>
						</td>
						<td>
							<button class="js-input" data-input='"MerkerEnableY"' id="Abilitatore_AsseY" value="true">
								<p class="Testo">
									Accensione AsseY
								</p>
							</button>
						</td>
						<td>
							<button class="js-input" data-input='"MerkerEnableZ"' id="Abilitatore_AsseZ" value="true">
								<p class="Testo">
									Accensione AsseZ
								</p>
							</button>
						</td>
					</tr>

					<!-- Inserisco i bottoni che permettono di spostare in manuale gli assi del pallettizzatore sempre da remoto -->

					<tr class="Movimento_Assi">
						<td>
							<button class="js-input js-input-press" data-input='"MerkerJogXP"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
									Avanti AsseX
								</p>
							</button>
							<button class="js-input js-input-press" data-input='"MerkerJogXM"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
								<p class="Testo">
									Indietro AsseX
								</p>
							</button>
						</td>
						<td>
							<button class="js-input js-input-press" data-input='"MerkerJogYP"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
								<p class="Testo">
									Avanti AsseY
								</p>
							</button>
							<button class="js-input js-input-press" data-input='"MerkerJogYM"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
								<p class="Testo">
									Indietro AsseX
								</p>
							</button>
						</td>
						<td>
							<button class="js-input js-input-press" data-input='"MerkerJogZP"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
								<p class="Testo">
									Avanti AsseZ
								</p>
							</button>
							<button class="js-input js-input-press" data-input='"MerkerJogZM"' id="MovimentoAvanti_AsseX">
								<p class="Testo">
								<p class="Testo">
									Indietro AsseZ
								</p>
							</button>
						</td>
					</tr>

					<!-- Inserisco i bottoni che permettono di resettare in manuale gli assi del pallettizzatore sempre da remoto -->

					<tr class="Reset_Assi">
						<td>
							<button id="Reset_AsseX" class="js-input js-input-click" data-input='"MerkerResetX"'>
								<p class="Testo">
									Reset AsseX
								</p>
							</button>
						</td>
						<td>
							<button id="Reset_AsseY" class="js-input js-input-click" data-input='"MerkerResetY"'>
								<p class="Testo">
									Reset AsseY
								</p>
							</button>
						</td>
						<td>
							<button id="Reset_AsseZ" class="js-input js-input-click" data-input='"MerkerResetZ"'>
								<p class="Testo">
									Reset AsseZ
								</p>
							</button>
						</td>
					</tr>

					<!-- Inserisco i bottoni che permettono di azionare l'homing in manuale gli assi del pallettizzatore sempre da remoto -->

					<tr class="Homing_Assi">
						<td>
							<button id="Homing_AsseX" class="js-input js-input-click" data-input='"MerkerHomingX"'>
								<p class="Testo">
									Homing AsseX
								</p>
							</button>
						</td>
						<td>
							<button id="Homing_AsseY" class="js-input js-input-click" data-input='"MerkerHomingY"'>
								<p class="Testo">
									Homing AsseY
								</p>
							</button>
						</td>
						<td>
							<button id="Homing_AsseZ" class="js-input js-input-click" data-input='"MerkerHomingZ"'>
								<p class="Testo">
									Homing AsseZ
								</p>
							</button>
						</td>
					</tr>
				</tbody>
			</table>

		<!-- Inserico gli sponsor -->

		<table class="Sponsor">
			<tbody>
				<tr>
					<td class="LogoCattaneoSponsor">
						<img src="Loghi/Logo_Cattaneo.png">
					</td>
					<td class="LogoCroceVerde">
						<img src="Loghi/NetGloo.png">
					</td>
					<td class="LogoCorsoAutomazione">
						<img src="Loghi/Logo_Automazione-Parole.png">
					</td>
					<td class="LogoProjectGroup">
						<img src="Loghi/Project_Group.png">
					</td>
				</tr>
			</tbody>
		</table>

	</body>

	<!-- Richiamo gli script javascript -->

	<footer>
		<script src="scripts/Script_ReverseStock.js"></script>
	</footer>

</html>
